<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
	
	//中文转换为座位简码
	/*
	硬座、软座、二等座、一等座、特等座、商务座、硬卧、软卧、高级软卧、棚车、包厢硬卧、一等软座、二等软座、高级动卧、混编硬座、混编硬卧、包厢软座、特等软座、动卧、二人软包、一人软包、一等双软、二等双软、混编软座、混编软卧、观光座、一等包座、无座、硬卧上、硬卧中、硬卧下、软卧上、软卧下、高级软卧上、高级软卧下、高级动卧上、高级动卧下、动卧上、动卧下
	*/
	function ReplaceToCode($SeatName){
		
	}
	
	//验证站点信息是否为空
	function checkNull($info){
		if(empty($info)){
			return '';
		}else{
			return $info;
		}
	}
	
	//验证参数是否存在并且是否为数字
	function checkNum($num){
		if(isset($num)){
			if(is_numeric($num)){
				return true;
			}else{
				return false;
			}
		}else{
			return false;
		}
	}
	
	//余票转换
	function ticket_exchange($num,$iseven){
		if($iseven){
			return '有';
		}else{
			if(is_numeric($num)){
				if($num == 0){
					return '无';
				}elseif($num >= 99){
					return '有';
				}else{
					return $num;
				}
			}	
		}
	}
	
	//发送请求函数
	function post_ctrip($url, $data = '', $method = 'GET') {
		$user_agent = "Mozilla/5.0 (iPhone; CPU iPhone OS 11_0 like Mac OS X) AppleWebKit/604.1.38 (KHTML, like Gecko) Version/11.0 Mobile/15A372 Safari/604.1";
		if(isset($_SERVER['HTTP_USER_AGENT'])) {
			$user_agent = $_SERVER['HTTP_USER_AGENT'];
		}
		$curl = curl_init(); // 启动一个CURL会话  
		curl_setopt($curl, CURLOPT_URL, $url); // 要访问的地址  
		curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, 0); // 对认证证书来源的检查  
		curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, 0); // 从证书中检查SSL加密算法是否存在  
		curl_setopt($curl, CURLOPT_USERAGENT, $user_agent); // 模拟用户使用的浏览器  
		curl_setopt($curl, CURLOPT_FOLLOWLOCATION, 1); // 使用自动跳转  
		curl_setopt($curl, CURLOPT_AUTOREFERER, 1); // 自动设置Referer  
		if ($method == 'POST' && !empty($data)) {
			curl_setopt($curl, CURLOPT_POST, 1); // 发送一个常规的Post请求  
			curl_setopt($curl, CURLOPT_POSTFIELDS, $data); // Post提交的数据包
			curl_setopt($curl, CURLOPT_HTTPHEADER, array('Content-Type:application/json'));
		}
		curl_setopt($curl, CURLOPT_TIMEOUT, 40); // 设置超时限制防止死循环  
		curl_setopt($curl, CURLOPT_TIMEOUT_MS, 40000); // 设置超时限制防止死循环  
		curl_setopt($curl, CURLOPT_HEADER, 0); // 显示返回的Header区域内容  
		curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1); // 获取的信息以文件流的形式返回  
		$tmpInfo = curl_exec($curl); // 执行操作  
		$errno = curl_errno($curl);
		if ($errno !== 0) {
			log_message('error', 'ctripost'.$errno.curl_error($curl));
		}
		curl_close($curl); //关闭CURL会话  
		return $tmpInfo; //返回数据
	}

?>